Subject: Re: bug#20032: eww: access bookmarks right from the URI prompt

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 26 Dec 2015 14:05:07 +0100

Ivan Shmakov <[email-masked]> writes:

>> It would be OK to have that as the first entry in the `M-n' history,
>> but not as the default.  If I read the code correctly.
>
> I guess that could be fixed by using a modified version of
> read-string and flagging the values returned by
> eww-suggest-bookmarks in such a way as to never be considered as
> the default by that function.  I doubt that that’s worth the
> effort, however.  (Unless such a function already exists.)

`read-string' with nil initial-input and default-value will have no
defaults.

> What bothers me more is that the sheer corpus of contemporary
> software will generally filter the list of bookmarks per the
> search terms typed in by the user first, and only then present
> the result for their respective equivalents of M-n.  Which gets
> handy if your bookmarks (or history, or pretty much anything of
> that kind) number in the hundreds (or more.)  I know of no
> similar facility in the current Emacs, however.

Yeah, just sticking the bookmarks in the history isn't very useful.

Message uses ecomplete to do "electric" completion.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no